org.richfaces.renderkit.html

## Class ContextMenuRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.ContextMenuRendererBase

- Direct Known Subclasses:
    ContextMenuRenderer

      public abstract class ContextMenuRendererBase
      extends RendererBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MIN_POPUP_WIDTH`
    `static String` | `DEFAULT_SHOWEVENT`
    `static String` | `RENDERER_TYPE`
    `protected static RendererUtils` | `RENDERER_UTILS`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextMenuRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Positioning` | `getDirection(javax.faces.component.UIComponent component)`
    `protected Positioning` | `getJointPoint(javax.faces.component.UIComponent component)`
    `List<Map<String,Object>>` | `getMenuGroups(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected Mode` | `getMode(javax.faces.component.UIComponent component)`
    `protected int` | `getPopupWidth(javax.faces.component.UIComponent component)`
    `protected String` | `getShowEvent(javax.faces.component.UIComponent component)`
    `protected String` | `getTarget(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected boolean` | `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `renderChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Render all children for given component.

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RENDERER_TYPE

          public static final String RENDERER_TYPE

      See Also:
        Constant Field Values

    - #### DEFAULT_MIN_POPUP_WIDTH

          public static final int DEFAULT_MIN_POPUP_WIDTH

      See Also:
        Constant Field Values

    - #### DEFAULT_SHOWEVENT

          public static final String DEFAULT_SHOWEVENT

      See Also:
        Constant Field Values

    - #### RENDERER_UTILS

          protected static final RendererUtils RENDERER_UTILS

  - ### Constructor Detail

    - #### ContextMenuRendererBase

          public ContextMenuRendererBase()

  - ### Method Detail

    - #### renderChildren

          public void renderChildren(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)
                              throws IOException

      Description copied from class: `RendererBase`
      Render all children for given component.
      Overrides:
        `renderChildren` in class `RendererBase`
      Throws:
        `IOException`

    - #### isDisabled

          protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                           javax.faces.component.UIComponent component)

    - #### getMenuGroups

          public List<Map<String,Object>> getMenuGroups(javax.faces.context.FacesContext facesContext,
                                               javax.faces.component.UIComponent component)

    - #### getPopupWidth

          protected int getPopupWidth(javax.faces.component.UIComponent component)

    - #### getMode

          protected Mode getMode(javax.faces.component.UIComponent component)

    - #### getJointPoint

          protected Positioning getJointPoint(javax.faces.component.UIComponent component)

    - #### getDirection

          protected Positioning getDirection(javax.faces.component.UIComponent component)

    - #### getShowEvent

          protected String getShowEvent(javax.faces.component.UIComponent component)

    - #### getTarget

          protected String getTarget(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.